% VYPOČTY K BAKALÁŘSKÉ PRÁCI VALENTA TOMÁŠ
%
% napjatost po strednici v cele klice pro dane natoceni fi°
%
% Pozn.: pri konfiguraci PC Win7, RAM 16GB, CPU Intel Core i5 2400 3,1GHz
% (4-cores) trval vypocet jednoho natočeni cca 160 sekund

clear all
clc
tic
profil = load('profil.txt'); % nacteni profilu
a = profil(:,1)'/1000; % [m]
b = profil(:,2)'/1000; % [m]

%  -------- VSTUP --------

fi = 90; %[°]
F = [0 0 -1500]; % [N]

deleni = 0.0001; % [m]
E = 6.9e10; % [Pa]
poisson = 0.33;
n = 101; % pocet clenu pro vypocet rad
STREDNICE = load('strednice.txt')./1000; % [m]
pozice_rezu = (STREDNICE(:,3))';

for rez=1:length(a)
    a_rez = a(rez);
    b_rez = b(rez);
    [M,T,Tmax_rez,Sigma_x_max_rez,Sigma_red_max_rez] = napeti_redukovane(fi,F,a_rez,b_rez,deleni,E,poisson,n,rez);
    
    vysledek(rez,:) = [pozice_rezu(rez)*1e3, Tmax_rez, Sigma_x_max_rez, Sigma_red_max_rez];
end

% urceni maximalnich napeti a v jakem rezu se vyskytuji
[Tmax_row, Tmax_col] = find(vysledek(:,2) == max(vysledek(:,2)));
[Sigma_x_max_row, Sigma_x_max_col] = find(vysledek(:,3) == max(vysledek(:,3)));
[Sigma_red_max_row,Sigma_red_max_col] = find(vysledek(:,4) == max(vysledek(:,4)));

fprintf('\nMaximální smykové napětí je v řezu:   %f  o velikosti:  %f MPa\n',Tmax_row(1),max(vysledek(:,2)));
fprintf('\nMaximální normálové napětí je v řezu:   %f  o velikosti:  %f MPa\n',Sigma_x_max_row(1),max(vysledek(:,3)));
fprintf('\nMaximální redukované napětí je v řezu:   %f  o velikosti:  %f MPa\n\n',Sigma_red_max_row(1),max(vysledek(:,4)));

toc